{% extends 'admin/admin.html.twig' %}
{% block body %}
    <div class="container-fluid">
        <div class="col-md-12" style="padding-top: 90px">
            {% for set in doublons %}
                <div class="panel panel-default">
                    <div class="panel-body">
                        {% for doublon in set %}
                            <div class="panel panel-default">
                                <div class="panel-body">
                                    <div class="col-md-4"><b>{{ doublon.nom }}</b> ({{ doublon.nom_public }})<br>{{doublon.date|date('d-m-Y')}} - ( {{ doublon.type_doc }} )</div>
                                    <div class="col-md-2">id : {{ doublon.id_document}}<br>{{ doublon.size}} octets</div>
                                    <div class="col-md-1">
                                        <span {% if doublon.affaire %}style='color: green'{% else %}style='color:red'{% endif %}>
                                            affaire : {{doublon.affaire_id }}</span><br>
                                        <span {% if not doublon.affaire %}style='color: green'{% else %}style='color:red'{% endif %}>
                                            sinistre : {{doublon.sinistre_id}}
                                        </span>
                                        {% if doublon.grilleAnalyse_id %}
                                            <span class="label label-danger">Grille d'analyse</span>
                                        {% endif %}
                                        {% if doublon.nb_historique > 0 %}
                                            <span class="label label-danger">{{doublon.nb_historique }} Historique</span>
                                        {% endif %}
                                    </div>
                                    <div class="col-md-4" {% if doublon.missing_file == true %}style="color: red"{% endif %}>
                                        {{ doublon.uri }}
                                    </div>
                                    <div class="col-md-1">
                                        <a href='{{base_url("documents/preview/")}}/{{doublon.id_document}}' target="_blank"><span class="glyphicon glyphicon-eye-open"></span></a>
                                        &nbsp;&nbsp;&nbsp;<span class="glyphicon glyphicon-remove" id_doc='{{doublon.id_document}}' style="cursor: pointer"></span>
                                    </div>
                                </div>
                            </div>
                        {% endfor %}
                    </div>
                </div>
            {% endfor %}
        </div>
    </div>
    <script>
        $(document).on("click", ".glyphicon-remove", function () {
            let id_doc = $(this).attr("id_doc");
            $(this).parent().parent().parent().remove();
            $.get(AJAXPATH + "/documents/supprimer/" + id_doc, function (r) {
                if (r == "ok") {
                    $(this).parent().parent().parent().remove();
                }
            });
        });
    </script>
{% endblock %}